﻿<span @onclick="ClickHandler" class="@("directory-caret" + (Expand ? " directory-caret-down" : "" ))">@Name</span>
<ul class="@("directory-nested" + (Expand ? " directory-active" : "" ))">
    @ChildContent
</ul>

@code {

    [Parameter]
    public string Name { get; set; }

    [Parameter]
    public string Path { get; set; }

    [Parameter]
    public RenderFragment ChildContent { get; set; }

    [CascadingParameter( Name = "Modal" )]
    protected DirectoryModal Modal { get; set; }

    private bool Expand { get; set; }

    private void ClickHandler( ) {
        Expand = !Expand;
        Modal.ChangeLibraryPath( Path );
        StateHasChanged( );
    }
}